<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <module name="storlead-centre-api" />
        <module name="storlead-auth" />
        <module name="storlead-common" />
        <module name="storlead-core" />
        <module name="storlead-redis" />
        <module name="storlead-centre-service" />
        <module name="storlead-web" />
        <module name="storlead-user" />
        <module name="storlead-wx" />
        <module name="storlead-mybatis" />
        <module name="storlead-sms" />
      </profile>
    </annotationProcessing>
    <bytecodeTargetLevel>
      <module name="storlead-ai-api" target="17" />
      <module name="storlead-centre-wx" target="17" />
      <module name="storlead-dependencies" target="1.8" />
      <module name="storlead-platform" target="17" />
      <module name="storlead-util" target="17" />
    </bytecodeTargetLevel>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="storlead-ai-api" options="-parameters" />
      <module name="storlead-auth" options="-parameters" />
      <module name="storlead-centre-api" options="-parameters" />
      <module name="storlead-centre-service" options="-parameters" />
      <module name="storlead-centre-wx" options="-parameters" />
      <module name="storlead-common" options="-parameters" />
      <module name="storlead-core" options="-parameters" />
      <module name="storlead-framework" options="" />
      <module name="storlead-mybatis" options="-parameters" />
      <module name="storlead-redis" options="-parameters" />
      <module name="storlead-sms" options="-parameters" />
      <module name="storlead-user" options="-parameters" />
      <module name="storlead-util" options="-parameters" />
      <module name="storlead-web" options="-parameters" />
      <module name="storlead-wx" options="-parameters" />
    </option>
  </component>
</project>